export const FROM_PAGES_UNITTEST = "from.pages.unitTest"; // 从 单元测试 返回 岛 的路由参数
export const FROM_PAGES_SELECTGRADE = "from.pages.selectGrade"; // 从年级学期选择 跳转 岛 的路由参数

export function useStudyRouteParams() {
	const STUDY_ROUTE_PARAMS = 'STUDY_ROUTE_PARAMS';

	function setStudyStorage({
		nianji, // 年级
		xueqi, // 学期 
		zhangId, // 章Id
		jieId, // 节Id
		nextZhangId, // 下一章Id
	}) {
		uni.setStorageSync(STUDY_ROUTE_PARAMS, JSON.stringify(Object.assign({}, {
			nianji: null,
			xueqi: null,
			zhangId: null,
			jieId: null,
			nextZhangId: null,
		}, {
			nianji,
			xueqi,
			zhangId,
			jieId,
			nextZhangId,
		})));
	}

	function getStudyStorage() {
		const data = uni.getStorageSync(STUDY_ROUTE_PARAMS);
		return data ? JSON.parse(data) : data;
	}

	function removeStudyStorage() {
		uni.getStorageSync(STUDY_ROUTE_PARAMS)
	}

	return {
		setStudyStorage,
		getStudyStorage,
		removeStudyStorage
	}
}